Package com.independentsoft.office.odf

# Enum Class SequenceReferenceFormat

java.lang.Object
java.lang.Enum<SequenceReferenceFormat>
com.independentsoft.office.odf.SequenceReferenceFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<SequenceReferenceFormat>`, `Constable`

public enum SequenceReferenceFormat extends Enum<SequenceReferenceFormat>
Represents what information about a reference is displayed. If the reference format is not specified, the page format is used as the default.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CAPTION`
  Displays the caption in which the sequence is used.
  `CATEGORY_VALUE`
  Displays the name and value of the sequence.
  `CHAPTER`
  Displays the number of the chapter in which the referenced item appears.
  `DIRECTION`
  Displays whether the referenced item is above or below the reference field.
  `NONE`
  None.
  `PAGE`
  Displays the number of the page on which the referenced item appears.
  `TEXT`
  Displays the text of the referenced item.
  `VALUE`
  Displays the value of the sequence.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SequenceReferenceFormat`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static SequenceReferenceFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PAGE

    public static final SequenceReferenceFormat PAGE
    Displays the number of the page on which the referenced item appears.

  - ### CHAPTER

    public static final SequenceReferenceFormat CHAPTER
    Displays the number of the chapter in which the referenced item appears.

  - ### DIRECTION

    public static final SequenceReferenceFormat DIRECTION
    Displays whether the referenced item is above or below the reference field.

  - ### TEXT

    public static final SequenceReferenceFormat TEXT
    Displays the text of the referenced item.

  - ### CATEGORY_VALUE

    public static final SequenceReferenceFormat CATEGORY_VALUE
    Displays the name and value of the sequence.

  - ### CAPTION

    public static final SequenceReferenceFormat CAPTION
    Displays the caption in which the sequence is used.

  - ### VALUE

    public static final SequenceReferenceFormat VALUE
    Displays the value of the sequence.

  - ### NONE

    public static final SequenceReferenceFormat NONE
    None.

- ## Method Details

  - ### values

    public static SequenceReferenceFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SequenceReferenceFormat valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null